# Uses of Interface
org.springframework.util.PathMatcher

Packages that use PathMatcher
Package
Description
org.springframework.core.io.support
Support classes for Spring's resource abstraction.
org.springframework.util
Miscellaneous utility classes, such as utilities for working with strings, classes, collections, reflection, etc.

## Uses of PathMatcher in org.springframework.core.io.support

Methods in org.springframework.core.io.support that return PathMatcher
Modifier and Type
Method
Description
`PathMatcher`
PathMatchingResourcePatternResolver.`getPathMatcher()`
Return the `PathMatcher` that this resource pattern resolver uses.
Methods in org.springframework.core.io.support with parameters of type PathMatcher
Modifier and Type
Method
Description
`void`
PathMatchingResourcePatternResolver.`setPathMatcher(PathMatcher pathMatcher)`
Set the `PathMatcher` implementation to use for this resource pattern resolver.

## Uses of PathMatcher in org.springframework.util

Classes in org.springframework.util that implement PathMatcher
Modifier and Type
Class
Description
`class`
`AntPathMatcher`
`PathMatcher` implementation for Ant-style path patterns.
Methods in org.springframework.util that return PathMatcher
Modifier and Type
Method
Description
`PathMatcher`
SimpleRouteMatcher.`getPathMatcher()`
Return the underlying `PathMatcher` delegate.
Constructors in org.springframework.util with parameters of type PathMatcher
Modifier
Constructor
Description
``
`SimpleRouteMatcher(PathMatcher pathMatcher)`
Create a new `SimpleRouteMatcher` for the given `PathMatcher` delegate.